php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #73000 dbase.dll seems outdated for php7.0.9
Submitted: 2016-09-02 07:21 UTC Modified: 2016-10-26 09:59 UTC
Votes:1
Avg. Score:1.0 ± 0.0
Reproduced:1 of 1 (100.0%)
Same Version:1 (100.0%)
Same OS:0 (0.0%)
From: jocalawker at gmail dot com Assigned: cmb (profile)
Status: Closed Package: dbase (PECL)
PHP Version: Irrelevant OS: Windows 8
Private report: No CVE-ID: None
 [2016-09-02 07:21 UTC] jocalawker at gmail dot com
Description:
------------
extension=php_dbase.dll


Expected result:
----------------
Apache (XAMPP)Module should flash no warning on start of service
since documentation on https://pecl.php.net/package/dbase states dependencies like
PHP Version: PHP 5 or newer
PEAR Package: PEAR 1.4.0b1 or newer

Actual result:
--------------
this version of php_dbase.dll is looking for php5ts.dll file,
XAMPP has xampp/php/php7ts.dll

will dbase get an update soon?

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2016-09-02 13:01 UTC] cmb@php.net
-Status: Open +Status: Verified -Assigned To: +Assigned To: cmb
 [2016-09-02 13:01 UTC] cmb@php.net
Indeed, dbase-5.1.0 is not supposed to work with PHP 7. The
trunk[1] is supposed to work with PHP 7 (but not with PHP 5), but
has to be considered pre-alpha. Consider to build this version
yourself.

A PHP 7 compatible alpha version will be released soon.

[1] <http://svn.php.net/viewvc/pecl/dbase/trunk/>
 [2016-09-13 16:25 UTC] phpbugs at bazoink dot com
The "pre-alpha" version from svn compiles and works on my system:
PHP Version => 7.0.10
System => Linux 3.10.0-327.28.3.el7.x86_64 #1 SMP 
Tests passed    :   20 (100.0%) (100.0%)

I also ran it with my own code against my own dbf and it worked as expected.

Please let me know if I can be any further assistance.
Mark
 [2016-09-29 10:21 UTC] cmb@php.net
Thanks for testing, Mark!

The problem is that I lost my PECL password, and still haven't
been successful in getting a new one. :-(
 [2016-10-26 09:59 UTC] cmb@php.net
-Status: Verified +Status: Closed
 [2016-10-26 09:59 UTC] cmb@php.net
dbase-7.0.0beta1 has been released which is supposed to be PHP 7
compatible, so this ticket can be closed.
 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Fri Aug 14 20:01:24 2020 UTC